Skip to main content
GET
/
v2
/
contract
/
all-chains
/
{address}
Get verified contract at an address on all chains
curl --request GET \
  --url https://sourcify.dev/server/v2/contract/all-chains/{address}
{
  "results": [
    {
      "match": "exact_match",
      "creationMatch": "match",
      "runtimeMatch": "exact_match",
      "chainId": "1",
      "address": "0xDFEBAd708F803af22e81044aD228Ff77C83C935c",
      "verifiedAt": "2024-07-24T12:00:00Z",
      "matchId": "421"
    },
    {
      "match": "match",
      "creationMatch": "match",
      "runtimeMatch": "match",
      "chainId": "11155111",
      "address": "0xDFEBAd708F803af22e81044aD228Ff77C83C935c",
      "verifiedAt": "2025-02-10T14:45:00Z",
      "matchId": "5531"
    }
  ]
}

Documentation Index

Fetch the complete documentation index at: https://hedera-0c6e0218-update-sourcify-migration-issue-508-luke.mintlify.app/llms.txt

Use this file to discover all available pages before exploring further.

Path Parameters

address
string
required

Contract's 20 byte address in hex string with the 0x prefix. Case insensitive.

Required string length: 42
Pattern: (\b0x[a-fA-F0-9]{40}\b)
Example:

"0x2738d13E81e30bC615766A0410e7cF199FD59A83"

Response

Returns all verified deployments at an address on all Sourcify chains

results
VerifiedContractMinimal · object[]